package convexhull;

public class Vector {
    private float x;
    private float y;
    
    public Vector(Point from,Point to) {
        this.x = to.getX() - from.getX();
        this.y = to.getY() - from.getY();
    }
    
    public float polarAngle() {
        return (float) Math.atan2(y, x);
    }
    
    public static float crossProduct(Vector v0,Vector v1) {
        return v0.x*v1.y - v1.x*v0.y;
    }
}
